Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.ui
Class PressActionButton

    java.lang.Object
      |
      +--quicktime.app.anim.TwoDSprite
            |
            +--quicktime.app.ui.UIElement
                  |
                  +--quicktime.app.ui.QTButton
                        |
                        +--quicktime.app.ui.PressActionButton

All Implemented Interfaces:
  Compositable, DynamicImage, ImageSettable, ImageSpec, Layerable, NotifyListener, Transformable

Direct Known Subclasses:
  PressReleaseButton

public class PressActionButton
extends QTButton

This class represents a normal button which fires the action event when the button is pressed. It keeps firing till the button is released

Fields inherited from class quicktime.app.ui.QTButton
`actionListener, pressedImage, releasedImage, rolloverImage`

Fields inherited from class quicktime.app.ui.UIElement
`currentImage, deactiveImage`

Fields inherited from class quicktime.app.anim.TwoDSprite
`label`

Fields inherited from interface quicktime.app.display.Layerable
`kBackMostLayer`

Constructor Summary
`PressActionButton(ImageSpec releasedImage, ImageSpec pressedImage, ImageSpec deactiveImage)` Sets the current image of the QTButton and creates a TwoDSprite button.
`PressActionButton(ImageSpec releasedImage, ImageSpec pressedImage, ImageSpec deactiveImage, ImageSpec rolloverImage)` Sets the current image of the QTButton and creates a TwoDSprite button.

Method Summary
`boolean` | `isContinuousPressAction()`
`void` | `pressed()` This method.
`void` | `setContinuousPressAction(boolean flag)` If this is set to true, the button will continue to fire whilst the user presses the mouse and it is also in the button.

Methods inherited from class quicktime.app.ui.QTButton
`addActionListener, addMouseTargetListener, entered, exited, fireAction, getDeactiveImage, getPressedImage, getReleasedImage, getRolloverImage, isMouseInButton, isPressed, released, removeActionListener, removeMouseTargetListener, setDeactiveImage, setPressedImage, setReleasedImage, setRolloverImage`

Methods inherited from class quicktime.app.ui.UIElement
`addedToCompositor, getBounds, isActive, removedFromCompositor, setActive, setCurrentImage, setLocation, setSize`

Methods inherited from class quicktime.app.anim.TwoDSprite
`createSprite, equals, getDescription, getGraphicsMode, getImage, getInitialSize, getLabel, getLayer, getMatrix, getOriginalSize, getParent, getSpriteInfo, getVisible, hitTest, invalidate, isValid, notifyComplete, remove, removeNotify, setDescription, setGraphicsMode, setImage, setImageData, setLabel, setLayer, setMatrix, setNotifier, setVisible, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface quicktime.app.image.Compositable
`getGraphicsMode, setGraphicsMode`

Methods inherited from interface quicktime.app.image.ImageSpec
`getDescription, getImage`

Constructor Detail

### PressActionButton

    public PressActionButton(ImageSpec releasedImage,
                             ImageSpec pressedImage,
                             ImageSpec deactiveImage)
                      throws QTException

  Sets the current image of the QTButton and creates a TwoDSprite button.
  Parameters:
    `releasedImage` - the image to be displayed when the mouse is not pressed
    `pressedImage` - the image to be displayed when the mouse is pressed
    `deactiveImage` - the image to be displayed when the button is deactive

### PressActionButton

    public PressActionButton(ImageSpec releasedImage,
                             ImageSpec pressedImage,
                             ImageSpec deactiveImage,
                             ImageSpec rolloverImage)
                      throws QTException

  Sets the current image of the QTButton and creates a TwoDSprite button.
  Parameters:
    `releasedImage` - the image to be displayed when the mouse is not pressed
    `pressedImage` - the image to be displayed when the mouse is pressed
    `deactiveImage` - the image to be displayed when the button is deactive
    `rolloverImage` - the image to be displayed when the button is released and in the mouse.

Method Detail

### setContinuousPressAction

    public void setContinuousPressAction(boolean flag)

  If this is set to true, the button will continue to fire whilst the user presses the mouse and it is also in the button. If this is false, the action will fire ONLY when the user first presses the button.

### isContinuousPressAction

    public boolean isContinuousPressAction()

  Returns:
    a boolean

### pressed

    public void pressed()
                 throws QTException

  This method. is called when the mouse button is pressed over the QTButton it keeps firing as long as the mouse is pressed. This method is invoked by the ButtonActivator.
  Overrides:
    `pressed` in class `QTButton`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD